<?php

declare(strict_types=1);

namespace Dedi\SyliusQuotePlugin\Entity;

use DateTimeInterface;
use Sylius\Component\Core\Model\AdminUserInterface;
use Sylius\Component\Resource\Model\ResourceInterface;

interface QuoteInternalCommentInterface extends ResourceInterface
{
    public function getId(): ?int;

    public function getQuote(): ?QuoteInterface;

    public function setQuote(?QuoteInterface $quote): self;

    public function getUser(): ?AdminUserInterface;

    public function setUser(?AdminUserInterface $user): self;

    public function getCreatedAt(): ?DateTimeInterface;

    public function setCreatedAt(?DateTimeInterface $createdAt): self;

    public function getUpdatedAt(): ?DateTimeInterface;

    public function setUpdatedAt(?DateTimeInterface $updatedAt): self;

    public function getComment(): ?string;

    public function setComment(?string $comment): self;
}
